SAMBA+ 4.11.17 and Updates for 4.12.10 and 4.13.2 Available for Download

SAMBA+ 4.11.17 has just been released by SerNet. Packages for various SUSE and Red Hat platforms as well as for Debian GNU/Linux and Ubuntu are available now.

These packages address the following issue:

  • Bug 14568 - smbd INTERNAL ERROR: spoolss due to user_ok_token() mismatch

The regression fix for the GlusterFS VFS module (Samba bug 14486) was already included in the previous SAMBA+ release on November 12th. Details are listed in the Samba 4.11.17 release notes.

The updates for 4.12.10 and 4.13.2, released on November 30th, address the following issues:

  • Bug 14568 - smbd INTERNAL ERROR: spoolss due to user_ok_token() mismatch
  • Bug 14515 - assert_no_pending_aio() causes a core dump due to TALLOC_FREE() overwriting a valid value with NULL.
  • Bug 14210 - smbd NULL pointer de-reference in smb2_signing_decrypt_pdu

The updates for 4.13.2 additionally address:

  • Bug 14576 - unsupported DNS update requests "Can't handle updates of type 255 yet" from OS X/macOS clients.

SAMBA+ packages and all later versions are available as software subscription. They can be purchased at the SAMBA+ shop, detailed information and prices are listed at https://shop.samba.plus. The subscriptions are managed at our platform OPOSSO (https://oposso.samba.plus). Users can activate their subscriptions here and manage access credentials. The new SAMBA+ packages are included in existing subscriptions.

Newsletter

SerNet's Samba newsletter informs you about all important developments and events with its main focus on new packages.

+ subscribe to Newsletter

RSS Feed

Don't miss any more SAMBA+ news? Read the latest in your feed reader of choice.

+ subscribe to RSS feed

SAMBA+ Shop

Buy and manage software subscriptions. SAMBA+ subscriptions are available for one, two and three years at the SAMBA+ shop.

+ visit the shop

Deutsche SpracheEnglish languageLangue française